'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _slicedToArray2 = require('babel-runtime/helpers/slicedToArray');

var _slicedToArray3 = _interopRequireDefault(_slicedToArray2);

exports.default = meta;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _lodash = require('lodash');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Get formatted meta hints for configuration
 * @param  {object} settings dictionary to parse
 * @return {string}          formatted meta information
 */
function meta(settings) {
	return _chalk2.default.grey((0, _lodash.toPairs)(settings).filter(item => item[1]).map(item => {
		var _item = (0, _slicedToArray3.default)(item, 2);

		const name = _item[0],
		      value = _item[1];

		return typeof value === 'boolean' ? `[${name}]` : `[${name}=${value}]`;
	}).join(' '));
}
module.exports = exports['default'];
//# sourceMappingURL=meta.js.map